%define version 2.4.8
%define release %mkrel 1
%define build_without_gnome 0
%{?_with_gnome: %{expand: %%global build_without_gnome 0}}
%{?_without_gnome: %{expand: %%global build_without_gnome 1}}

# used to indicate difference between new/old dictionary formats
%define dict_format_version 2.4.2

Summary:	StarDict is an international dictionary written for GNOME
Name:		stardict
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Text tools
URL:		http://stardict.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:		%{name}-2.4.2-langcode.patch.bz2

%if %build_without_gnome
%else
BuildRequires:	libgnomeui2-devel >= 2.2.0
%endif
BuildRequires:	ImageMagick
BuildRequires:	scrollkeeper
BuildRequires:  perl-XML-Parser
BuildRequires:	libpcre-devel
Requires:	stardict-dictionary = %{dict_format_version}
Conflicts:	stardict-dictionary < %{dict_format_version}
Conflicts:	stardict-dictionary > %{dict_format_version}
Requires(post): GConf2 >= 2.3.3
Requires(preun): GConf2 >= 2.3.3
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description
StarDict is an international dictionary written for the GNOME environment.
It has evolved from Motif/Lesstif based Chinese dictionary, into a full
featured international dictionary written in GTK+. Here are some of its
features:

- Instantly popup word definition when word is selected on screen
- Wildcard search ( e.g. "wo?d*" )
- Fuzzy query
- Dock into notification area
- Find text in word definition
- Many dictionaries available, including freedict, *quick, xdict,
  dict.org dictionaries

%prep
%setup -q
%patch0 -p1 -b .langcode

%build
export PKG_CONFIG=`which pkg-config`	# Give the configure script a helping hand in finding pkg-config
%configure2_5x --disable-schemas-install \
%if %build_without_gnome
  --disable-gnome-support
%else

%endif
%make

%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

# icons
mkdir -p %{buildroot}%{_iconsdir} \
	 %{buildroot}%{_miconsdir}

install -m 0644 -D      pixmaps/stardict.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 pixmaps/stardict.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 pixmaps/stardict.png %{buildroot}%{_miconsdir}/%{name}.png

# menu
install -m 755 -d %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}): \
 command="%{_bindir}/%{name}" \
 needs="x11" \
 section="Office/Accessories" \
 title="Stardict" \
 longtitle="GUI international dictionary" \
 icon="%{name}.png" \
 xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="Office" \
  --add-category="Dictionary" \
  --add-category="X-MandrivaLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# own various directories
mkdir -p %{buildroot}%{_datadir}/stardict/dic	\
	 %{buildroot}%{_datadir}/stardict/treedict

%find_lang %{name} --with-gnome

%clean
rm -rf %{buildroot}

%post
%update_menus
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/stardict.schemas > /dev/null

%preun
if [ "$1" = "0" ] ; then
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/stardict.schemas > /dev/null
fi

%postun
%clean_menus
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/idl/*.idl
%{_datadir}/omf/*
%{_datadir}/pixmaps/*
%{_datadir}/%{name}
%{_libdir}/bonobo/servers/*.server
%{_mandir}/man?/*

%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Sun Aug 20 2006 Funda Wang <fundawang@gmail.com> 2.4.8-1mdv2007.0
- New release 2.4.8
- Switch to xdg menu
- Conditional building
- fix xdg migration (tv)

* Fri Aug 18 2006 Emmanuel Andry <eandry@mandriva.org> 2.4.7-3mdv2007.0
- rebuild for libdbus

* Sun May 14 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.4.7-2mdk
- add BuildRequires: libpcre-devel

* Fri May 12 2006 Eskild Hustvedt <eskild@mandriva.org> 2.4.7-1mdk
- New version 2.4.7

* Fri Jan 27 2006 Eskild Hustvedt <eskild@mandriva.org> 2.4.6-1mdk
- New version 2.4.6

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2.4.5-4mdk
- rebuilt against openssl-0.9.8a

* Mon Oct 03 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.4.5-3mdk
- Fix BuildRequires

* Sat Oct 01 2005 Abel Cheung <deaddog@mandriva.org> 2.4.5-2mdk
- rpmlint fixes

* Sat Oct 01 2005 Abel Cheung <deaddog@mandriva.org> 2.4.5-1mdk
- New release 2.4.5

* Mon Feb 07 2005 Abel Cheung <deaddog@mandrake.org> 2.4.4-1mdk
- New version

* Fri Jun  4 2004 Abel Cheung <deaddog@mandrakesoft.com> 2.4.3-3mdk
- Rebuild with new gcc

* Sun May 23 2004 Abel Cheung <deaddog@deaddog.org> 2.4.3-2mdk
- Fix (build)requires and regeneration of auto* files

* Wed Apr 28 2004 Abel Cheung <deaddog@deaddog.org> 2.4.3-1mdk
- New version
- Patch1: Remove *_DISABLE_DEPRECATED compile flag, stardict still
  using obsolete features in gtk+ 2.2

* Wed Feb 18 2004 David Baudens <baudens@mandrakesoft.com> 2.4.2-5mdk
- Fix again menu: move in Office/Accessories, where it should be and where it
  should stay

* Sun Feb 15 2004 Abel Cheung <deaddog@deaddog.org> 2.4.2-4mdk
- Revert wrong menu

* Fri Feb 13 2004 David Baudens <baudens@mandrakesoft.com> 2.4.2-3mdk
- Fix menu

* Sun Nov 30 2003 Abel Cheung <deaddog@deaddog.org> 2.4.2-2mdk
- Fix zh_CN help document language code (should be zh-cn)

* Mon Nov 17 2003 Abel Cheung <deaddog@deaddog.org> 2.4.2-1mdk
- 2.4.2
- dictionary changed format, use Requires/Conflicts to reflect this

* Thu Oct 16 2003 Abel Cheung <deaddog@deaddog.org> 2.4.1-1mdk
- 2.4.1
- Remove patch0 (no more necessary)
- Fix group
- Generate help file in %%post instead

* Fri Aug 22 2003 Abel Cheung <maddog@linux.org.hk> 2.2.1-2mdk
- Write summary and description
- Require at least one dictionary (Thanks Funda Wang)
- BuildRequires scrollkeeper

* Mon Aug 04 2003 Per Ã˜yvind Karlsen <peroyvind@linux-mandrake.com> 2.2.1-1mdk
- minor spec fixes
- from Abel Cheung <maddog@linux.org.hk> 2.2.1-1mdk:
	o 2.2.1 (GNOME 2 based)
	o Spec file revamp
	o Remove all obsolete sources and patches
	o Patch0: Spartan fix for gcc >= 3.2 (pre-include libintl.h)
	o don't let c++ headers to do the job)

* Mon Jul 14 2003 Per Ã˜yvind Karlsen <peroyvind@sintrax.net> 1.31-5mdk
- fix gcc-3.3 build (P1)
- compile with $RPM_OPT_FLAGS
- cosmetics

* Tue Oct 29 2002 Stefan van der Eijk <stefan@eijk.nu> 1.31-4mdk
- BuildRequires: XFree86-devel lesstif-devel

* Thu Aug 22 2002 David BAUDENS <baudens@mandrakesoft.com> 1.31-3mdk
- Fix menu entry

* Tue Jul 23 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.31-2mdk
- General cleanup.

P
* Tue Jul 23 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.31-1mdk
- No suid anymore.

* Mon Oct 22 2001 Andrew Lee <andrew@linux.org.tw>
- Rebuild on Mandrake Linux 8.0
- Requires: lesstif
- Buildrequires: lesstif-devel
- add menu entry

* Wed Aug 29 2001 Chung-Yen Chang <candyz@kandix.idv.tw>
- rebuild in roswell

* Fri Sep  8 2000 Andrew Lee <andrew@linux.org.tw>
- modify cosix's dic package
- update to 1.31
